# PSF-LoginServer - master - net.psforever.objects.equipment.PelletFireModeDefinition
PSF - LoginServer - master - net.psforever.objects.equipment.PelletFireModeDefinition
Keywords: PSF LoginServer master net.psforever.objects.equipment.PelletFireModeDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

c

net.psforever.objects.equipment

# PelletFireModeDefinition

###

#### class PelletFireModeDefinition extends FireModeDefinition

Source
  FireModeDefinition.scala

Linear Supertypes
FireModeDefinition, DamageModifiers, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PelletFireModeDefinition
2. FireModeDefinition
3. DamageModifiers
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PelletFireModeDefinition()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Add: SpecificDamageProfile
   Definition Classes
     FireModeDefinition
5.  def AmmoSlotIndex: Int
   Definition Classes
     FireModeDefinition
6.  def AmmoSlotIndex_=(index: Int): Int
   Definition Classes
     FireModeDefinition
7.  def AmmoTypeIndices: ListBuffer[Int]
   Definition Classes
     FireModeDefinition
8.  def AmmoTypeIndices_=(index: Int): ListBuffer[Int]
   Definition Classes
     FireModeDefinition
9.  def Chamber: Int
   Definition Classes
     FireModeDefinition
10.  def Chamber_=(inChamber: Int): Int
    Definition Classes
      FireModeDefinition
11.  def CustomMagazine: HashMap[Ammo.Value, Int]
    Definition Classes
      FireModeDefinition
12.  def CustomMagazine_=(kv: (Ammo.Value, Int)): HashMap[Ammo.Value, Int]
    Definition Classes
      FireModeDefinition
13.  def Discharge(weapon: Tool, rounds: Option[Int] = None): Int

    Shoot a weapon, remove an anticipated amount of ammunition.
    For a weapon that has a number of sub-rounds chambered, each will generate unique weapon fire per fire cycle.

    Shoot a weapon, remove an anticipated amount of ammunition.
    For a weapon that has a number of sub-rounds chambered, each will generate unique weapon fire per fire cycle. Once all of the sub-rounds have been accounted for, the number of rounds for a single fire cycle will subtract. Since all fire cycles will abide by this chambered number of sub-rounds, the count is reset.

    weapon

      the weapon

    rounds

      The number of rounds to remove, if specified

    returns

      the size of the weapon's magazine after discharge

    Definition Classes
      PelletFireModeDefinition → FireModeDefinition
14.  def Magazine: Int
    Definition Classes
      FireModeDefinition
15.  def Magazine_=(inMagazine: Int): Int
    Definition Classes
      FireModeDefinition
16.  def Modifiers: List[Mod]
    Definition Classes
      DamageModifiers
17.  def Modifiers_=(modifiers: List[Mod]): List[Mod]
    Definition Classes
      DamageModifiers
18.  def Modifiers_=(modifier: Mod): List[Mod]
    Definition Classes
      DamageModifiers
19.  def ProjectileTypeIndices: ListBuffer[Int]
    Definition Classes
      FireModeDefinition
20.  def ProjectileTypeIndices_=(index: Int): ListBuffer[Int]
    Definition Classes
      FireModeDefinition
21.  def RoundsPerShot: Int
    Definition Classes
      FireModeDefinition
22.  def RoundsPerShot_=(round: Int): Int
    Definition Classes
      FireModeDefinition
23.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
24.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
28.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from FireModeDefinition

### Inherited from DamageModifiers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped